Search Specific IP Phones
Search specific IP phones from the Auto Provisioning Phone list.
Request URL
GET {base_url}/{api_path}/phone/search?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
| search_value | No | String | Search keyword. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of searched IP phones. |
| data | Array<Phone_Info> | The information of the searched IP phones. |
Phone_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the IP phone. |
| mac | String | The MAC address of the IP phone. |
| vendor | String | Phone vendor. |
| model | String | Phone model. |
| onsite_proxy_uuid | String | The UUID of associated Onsite Proxy instance. |
| template_name | String | The name of the provisioning template applied to the IP phone. |
| ip | String | The private IP address of the IP phone. Note: Only the IP phones provisioned via PnP method will return the private IP address. Otherwise, this parameter returns empty value. |
| firmware | String | The firmware version of the IP phone. |
| assigned_ext_status | String | The registration status of the extension assigned to the IP phone.
|
| assigned_ext_num | String | The extension number of the extension assigned to the IP phone. Note: This parameter returns Unassigned if there is no extension assigned to the IP phone. |
| assigned_ext_name | String | The caller ID name of the extension assigned to the IP phone. Note: This parameter returns Unassigned if there is no extension assigned to the IP phone. |
| rps_pin | String | RPS PIN for Yealink phones provisioned via RPS method, which can be entered on the phone device to complete the RPS provisioning process if required. |
Examples
Request example
GET /openapi/v1.0/phone/search?access_token=sSpTRV82rCV5Y8lOzb7yDBcRwvkqGjpe&page=1&page_size=3&sort_by=vendor&order_by=asc HTTP/1.1 Host: 192.168.5.150:8088 User-Agent: OpenAPI
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 36,
"data": [
{
"id": 14,
"mac": "3c:xx:xx:xx:xx:39",
"vendor": "Alcatel-Lucent Enterprise",
"model": "M8",
"onsite_proxy_uuid": "",
"template_name": "YSDP_AleM8",
"ip": "192.168.28.237",
"firmware": "2.13.01",
"assigned_ext_status": "Unregistered",
"assigned_ext_num": "2005",
"assigned_ext_name": "Kristin Hale",
"rps_pin":""
},
{
"id": 21,
"mac": "3c:xx:xx:xx:xx:ae",
"vendor": "Alcatel-Lucent Enterprise",
"model": "M3",
"onsite_proxy_uuid": "",
"template_name": "YSDP_AleMyriad",
"ip": "192.168.28.207",
"firmware": "2.13.39",
"assigned_ext_status": "Unregistered",
"assigned_ext_num": "2007",
"assigned_ext_name": "Ashley Gardner"
"rps_pin":""
},
{
"id": 48,
"mac": "00:xx:xx:xx:xx:54",
"vendor": "Cisco",
"model": "Cisco3905",
"onsite_proxy_uuid": "",
"template_name": "YSDP_Cisco3905",
"ip": "",
"firmware": "",
"assigned_ext_status": "Registered",
"assigned_ext_num": "2003",
"assigned_ext_name": "Dave Haris"
"rps_pin":""
},
... ...
]
}